See http://sourceware.org/bugzilla/show_bug.cgi?id=14523

--- a/gdb/common/signals.c
+++ b/gdb/common/signals.c
@@ -348,6 +348,11 @@ gdb_signal_from_host (int hostsig)
       else if (64 <= hostsig && hostsig <= 127)
 	return (enum gdb_signal)
 	  (hostsig - 64 + (int) GDB_SIGNAL_REALTIME_64);
+      else if (hostsig == 128)
+	/* Some platforms, such as Linux MIPS, have NSIG == 128, in which case
+	   signal 128 is the highest realtime signal. There is no constant for
+	   that though. */
+	return GDB_SIGNAL_UNKNOWN;
       else
 	error (_("GDB bug: target.c (gdb_signal_from_host): "
 	       "unrecognized real-time signal"));
